<?php
/**
 * This project has been generated by worker generator
 * has been made by fahmi sulaiman
 * sulaimanfahmi@gmail.com
 * check out my github @dekaulitz
 */

namespace App\Http\Controllers\Administrator;

use App\Exceptions\DefaultException;
use App\Http\Base\BaseController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Services\SynclogService;

class SynclogController extends BaseController
{
    protected $baseService;

    /**
     * Synclog constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->baseService = new SynclogService();
    }


    /**
     * @param Request $request
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function paging(Request $request)
    {
        $this->data["ordering"] = [ ];
        $this->data["synclogs"] = $this->baseService->paging($request);
        return view("modules.synclog.synclog_index", $this->data);
    }

    /**
     * @param $id
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function show($id)
    {
        $this->data["userss"] = $this->users->index();
        $this->data["synclog"] = $this->baseService->show($id);
        return view("modules.synclog.synclog_show", $this->data);
    }


}